Bug 215451

Summary: www/trac: Update to 1.2
Product: Ports & Packages Reporter: Jochen Neumeister <joneum>
Component: Individual Port(s)Assignee: Torsten Zuehlsdorff <tz>
Status: Closed FIXED    
Severity: Affects Many People CC: joneum, tz
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch joneum: maintainer-approval+

Description Jochen Neumeister freebsd_committer 2016-12-20 19:57:11 UTC
Created attachment 178155 [details]
Patch

1.2 'Hermes'

(November 5, 2016)

Trac 1.2 is the first major release of Trac in more than 4 years.

The following are some highlights from the release:

    Extensible notification system (#3517)
    Notification preference panel (#4056)
    Usernames replaced with full names (#7339)
    Restyled ticket changelog (#11835)
    Workflow controls on the New Ticket page (#2045)
    Editable wiki page version comments (#6573)
    Datetime custom fields (#1942) 

For more information see the API changes and the detailed release notes for 1.2 and 1.0.8 through 1.0.13 (as 1.2 contains all the fixes done for 1.0.8 through 1.0.13). 

https://trac.edgewall.org/wiki/TracChangeLog


Poudriere build fine for:
9.3 amd + i386
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r310242)

portlint -AC is also fine.

make test is fine, too


Cheers
jochen
Comment 1 Jochen Neumeister freebsd_committer 2016-12-20 19:57:47 UTC
Comment on attachment 178155 [details]
Patch

Port has no maintainer, implicit approval
Comment 2 commit-hook freebsd_committer 2016-12-22 16:35:19 UTC
A commit references this bug:

Author: tz
Date: Thu Dec 22 16:34:43 UTC 2016
New revision: 429169
URL: https://svnweb.freebsd.org/changeset/ports/429169

Log:
  www/trac: Update from 1.0.13 to 1.2

  Changelog: https://trac.edgewall.org/wiki/TracDev/ReleaseNotes/1.2

  PR:           215451
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  Approved by:  mentors (implicit)

Changes:
  head/www/trac/Makefile
  head/www/trac/distinfo
Comment 3 Torsten Zuehlsdorff freebsd_committer 2016-12-22 16:35:49 UTC
Committed, thanks! :)